## slurm-llnl 17.11.5

=== debian/changelog ===
slurm-llnl (17.11.5-1) unstable; urgency=medium

  [ Mehdi Dogguy ]
  * Add an empty /etc/slurm-llnl/plugstack.conf.d directory for plugin
    configuration and associated configuration file plugstack.conf

  [ Gennaro Oliva ]
  * Bump debhelper compat level to 10
  * Bump standard version to 4.1.3
  * Delete old transitional packages' files
  * New upstream release fixes CVE-2018-7033
  * Update libslurm{,db}32 symbols files
  * Fix slurmdbd.conf.5 and slurm.conf.5 man pages
  * Fix a typo in the mpiexec wrapper man page

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 17 Mar 2018 08:50:51 +0100

=== debian/control ===
Source: slurm-llnl
Section: admin
Priority: optional
Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
Uploaders: Rémi Palancher <remi@rezib.org>, Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper (>= 10),
 libmunge-dev,
 libncurses5-dev,
 libssl-dev,
 po-debconf,
 python,
 libglade2-dev,
 libgtk2.0-dev,
 default-libmysqlclient-dev,
 libpam0g-dev,
 libperl-dev,
 chrpath,
 libpam0g-dev,
 liblua5.1-0-dev,
 libhwloc-dev,
 dh-exec,
 librrd-dev,
 libipmimonitoring-dev,
 hdf5-helpers,
 libhdf5-dev
Standards-Version: 4.1.3
Homepage: http://slurm.schedmd.com
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git

Package: slurm-wlm
Architecture: any
Depends:
 ${misc:Depends},
 slurmd (= ${binary:Version}),
 slurmctld (= ${binary:Version}),
 slurm-client (= ${binary:Version})
Description: Simple Linux Utility for Resource Management
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This metapackage contains all client side commands, the compute node
 daemon and the central management demon.

Package: slurm-client
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version}),
 munge,
 adduser,
 ucf
Conflicts: sinfo (<< 0.0.47-4)
Description: SLURM client side commands
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains all client side commands.

Package: slurmd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 openssl,
 slurm-wlm-basic-plugins (= ${binary:Version}),
 adduser,
 ucf,
 munge,
 openssl (>= 0.9.8g-9),
 lsb-base (>= 3.2-12)
Description: SLURM compute node daemon
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the compute node demon slurmd.

Package: slurmctld
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-client (= ${binary:Version}),
 openssl,
 slurm-wlm-basic-plugins (= ${binary:Version}),
 adduser,
 ucf,
 munge,
 openssl (>= 0.9.8g-9),
 lsb-base (>= 3.2-12)
Description: SLURM central management daemon
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the central management demon slurmctld.

Package: libslurmdb32
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library files for the SLURM DataBase Daemon
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM DataBase Daemon runtime library.

Package: libslurm32
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library files for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM runtime library.

Package: libpmi0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SLURM PMI library implementation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI runtime implementation.

Package: libpmi2-0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SLURM PMI2 library implementation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI2 runtime implementation.

Package: libslurm-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libslurm32 (= ${binary:Version})
Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
Description: SLURM development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains SLURM static library and header files.

Package: libslurmdb-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libslurmdb32 (= ${binary:Version})
Description: SLURM DataBase Daemon development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains SLURM DataBase Daemon static library and header files.

Package: libpmi0-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpmi0 (= ${binary:Version}),
 libslurm32 (= ${binary:Version})
Description: SLURM PMI library implementation development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI implementation static library and header
 files

Package: libpmi2-0-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpmi2-0 (= ${binary:Version}),
 libslurm32 (= ${binary:Version})
Description: SLURM PMI2 library implementation development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI2 implementation static library and header
 files

Package: slurm-wlm-doc
Section: doc
Architecture: all
Depends:
 libjs-jquery,
 ${shlibs:Depends},
 ${misc:Depends}
Description: SLURM documentation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM html documentation.

Package: slurm-wlm-basic-plugins
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: SLURM basic plugins
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM basic plugins

Package: slurm-wlm-basic-plugins-dev
Section: devel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version})
Description: SLURM basic plugins development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains development files for the SLURM basic plugins

Package: sview
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-client (= ${binary:Version})
Description: GUI to view and modify SLURM state
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains sview a GUI that can be used to view SLURM
 configuration, job, step, node and partitions state information.
 Authorized users can also modify select information.

Package: slurmdbd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version}),
 adduser,
 munge,
 lsb-base (>= 3.2-12),
 ucf
Description: Secure enterprise-wide interface to a database for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contain SlurmDBD (Slurm DataBase Daemon) that can be
 used to securely manage the accounting data for several Slurm
 clusters in a central location and sacctmgr a command for managing
 user accounts in SlurmDBD.

Package: libslurm-perl
Section: perl
Architecture: any
Depends:
 ${perl:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: Perl API for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 .
 This package contains the Perl module.

Package: libslurmdb-perl
Section: perl
Architecture: any
Depends:
 ${perl:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: Perl API for the SLURM database
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 .
 This package contains the Perl module for the SLURM database.

Package: slurm-wlm-torque
Architecture: all
Depends:
 libslurm-perl (>= ${source:Version}),
 libslurmdb-perl (>= ${source:Version}),
 ${perl:Depends},
 ${misc:Depends},
 libswitch-perl,
 slurm-client (>= ${source:Version})
Conflicts: gridengine-client, torque-client, torque-client-x11
Description: Torque compatibility wrappers for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 .
 This package contains the Torque compatibility wrappers.

Package: libpam-slurm
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: PAM module to authenticate using the SLURM resource manager
 Pluggable Authentication Module (PAM) for restricting access to compute
 nodes where SLURM performs resource management. Access to the node is
 restricted to user root and users who have been allocated resources on
 that node.

Package: slurm-wlm-emulator
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 slurmctld (= ${binary:Version}),
 slurmd (= ${binary:Version})
Description: SLURM emulator
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 .
 This package installs the emulator binaries: slurmd, slurmctld
 and slurmstepd.

Package: slurm-client-emulator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: SLURM client side commands for the emulator
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains all client side commands for the emulator.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PERL_ARCHLIB := $(shell perl -MConfig -e 'print substr($$Config{vendorarch}, 1)')
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow
# include defs of all DEB_HOST_*/DEB_BUILD_* vars
include /usr/share/dpkg/architecture.mk

%:
	dh $@ --builddirectory

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --builddirectory build-emulator
	rm -rf $(CURDIR)/debian/tmp-emulator

# We run configure with --disable-debug to avoid the default use of -O0 and
# consequent unprotected source functions, causing lintian report
# hardening-no-fortify-functions
# Notice that -g in CFLAGS is still provided by dpkg-buildflags
override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc/slurm-llnl --runstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd
	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm-llnl --runstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory build-emulator

override_dh_shlibdeps:
	dh_shlibdeps -O--builddirectory -O--parallel -l$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/slurm-wlm/

override_dh_auto_install:
	dh_auto_install
	
	# clear dependency_libs field in *.la files
	# see lintian non-empty-dependency_libs-in-la-file for reference
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/tmp/ -name '*.la'`
	# Rename slurm(1) manpage before dh_installman run. It is not possible
	# to rename manpages in debian/*.manpages so hardcore `mv` is done here
	mv debian/tmp/usr/share/man/man1/slurm.1 debian/tmp/usr/share/man/man1/slurm-wlm.1
	
	# run make install for libpam-slurm pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pam install DESTDIR=$(CURDIR)/debian/tmp
	
	# run make install for libslurm[db]-perl pkgs
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/perlapi install DESTDIR=$(CURDIR)/debian/tmp PERL_MM_OPT="INSTALLDIRS=vendor"
	find debian/tmp/$(PERL_ARCHLIB) -type f -name "*.so" | xargs chrpath -d
	
	# run make install for slurm-wlm-torque pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/torque install DESTDIR=$(CURDIR)/debian/tmp

	# run make install for PMI2 pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pmi2 install DESTDIR=$(CURDIR)/debian/tmp

	# Rename mpiexec to mpiexec.slurm
	mv debian/tmp/usr/bin/mpiexec	debian/tmp/usr/bin/mpiexec.slurm

	# build manpages for pbs wrappers
	for i in debian/tmp/usr/bin/pbsnodes \
		debian/tmp/usr/bin/mpiexec.slurm \
		debian/tmp/usr/bin/q*; do \
			pod2man $$i > debian/tmp/usr/share/man/man1/$$(basename $$i).1; \
	done

	# Remove embedded jquery.min.js
	rm -f debian/tmp/usr/share/doc/slurm-wlm-doc/html/jquery.min.js

	# Rename binaries that are also in the slurm-wlm-emulator
	mv debian/tmp/usr/sbin/slurmctld debian/tmp/usr/sbin/slurmctld-wlm
	mv debian/tmp/usr/sbin/slurmd debian/tmp/usr/sbin/slurmd-wlm
	mv debian/tmp/usr/sbin/slurmstepd debian/tmp/usr/sbin/slurmstepd-wlm

	dh_auto_install --builddirectory build-emulator  --destdir=$(CURDIR)/debian/tmp-emulator
	# Rename binaries in the emulator packages
	mv debian/tmp-emulator/usr/sbin/slurmctld debian/tmp-emulator/usr/sbin/slurmctld-wlm-emulator
	mv debian/tmp-emulator/usr/sbin/slurmd debian/tmp-emulator/usr/sbin/slurmd-wlm-emulator
	mv debian/tmp-emulator/usr/sbin/slurmstepd debian/tmp-emulator/usr/sbin/slurmstepd-wlm-emulator
	mv debian/tmp-emulator/usr/bin/sshare	debian/tmp-emulator/usr/bin/sshare-emulator
	mv debian/tmp-emulator/usr/bin/scancel 	debian/tmp-emulator/usr/bin/scancel-emulator
	mv debian/tmp-emulator/usr/bin/sattach 	debian/tmp-emulator/usr/bin/sattach-emulator
	mv debian/tmp-emulator/usr/bin/sbatch 	debian/tmp-emulator/usr/bin/sbatch-emulator
	mv debian/tmp-emulator/usr/bin/sreport 	debian/tmp-emulator/usr/bin/sreport-emulator
	mv debian/tmp-emulator/usr/bin/sbcast 	debian/tmp-emulator/usr/bin/sbcast-emulator
	mv debian/tmp-emulator/usr/bin/srun 	debian/tmp-emulator/usr/bin/srun-emulator
	mv debian/tmp-emulator/usr/bin/squeue 	debian/tmp-emulator/usr/bin/squeue-emulator
	mv debian/tmp-emulator/usr/bin/sprio 	debian/tmp-emulator/usr/bin/sprio-emulator
	mv debian/tmp-emulator/usr/bin/smap 	debian/tmp-emulator/usr/bin/smap-emulator
	mv debian/tmp-emulator/usr/bin/sdiag 	debian/tmp-emulator/usr/bin/sdiag-emulator
	mv debian/tmp-emulator/usr/bin/strigger debian/tmp-emulator/usr/bin/strigger-emulator
	mv debian/tmp-emulator/usr/bin/sinfo 	debian/tmp-emulator/usr/bin/sinfo-emulator
	mv debian/tmp-emulator/usr/bin/salloc 	debian/tmp-emulator/usr/bin/salloc-emulator
	mv debian/tmp-emulator/usr/bin/sacct	debian/tmp-emulator/usr/bin/sacct-emulator
	mv debian/tmp-emulator/usr/bin/sacctmgr debian/tmp-emulator/usr/bin/sacctmgr-emulator
	mv debian/tmp-emulator/usr/bin/scontrol debian/tmp-emulator/usr/bin/scontrol-emulator
	mv debian/tmp-emulator/usr/bin/sstat	debian/tmp-emulator/usr/bin/sstat-emulator

override_dh_strip:
	dh_strip -plibslurm32
	dh_strip -plibslurmdb32
	dh_strip -plibpmi0 --dbgsym-migration='libpmi0-dbg (<< 17.02.6~)'
	dh_strip -plibpmi2-0 --dbgsym-migration='libpmi2-0-dbg (<< 17.02.6~)'
	dh_strip -pslurm-wlm-basic-plugins --dbgsym-migration='slurm-wlm-basic-plugins-dbg (<< 17.02.6~)'
	dh_strip -pslurm-client --dbgsym-migration='slurm-client-dbg (<< 17.02.6~)'
	dh_strip -pslurmd --dbgsym-migration='slurmd-dbg (<< 17.02.6~)'
	dh_strip -pslurmctld --dbgsym-migration='slurmctld-dbg (<< 17.02.6~)'
	dh_strip -pslurmdbd --dbgsym-migration='slurmdbd-dbg (<< 17.02.6~)'
	# we do not care about debug symbols for those pkgs
	dh_strip -plibslurmdb-perl --no-automatic-dbgsym
	dh_strip -plibslurm-perl --no-automatic-dbgsym
	dh_strip -psview --no-automatic-dbgsym
	dh_strip -plibpam-slurm --no-automatic-dbgsym
	dh_strip -pslurm-wlm-emulator --no-automatic-dbgsym
	dh_strip -pslurm-client-emulator --no-automatic-dbgsym
	dh_strip -plibpmi0-dev --no-automatic-dbgsym
	dh_strip -plibpmi2-0-dev --no-automatic-dbgsym
	dh_strip -plibslurmdb-dev --no-automatic-dbgsym
	dh_strip -plibslurm-dev --no-automatic-dbgsym
	dh_strip -pslurm-wlm-basic-plugins-dev --no-automatic-dbgsym
	strip --strip-debug --remove-section=.comment \
		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/*/slurm-wlm/*.a

override_dh_auto_test:

## slurm-llnl 17.11.6

=== debian/changelog ===
slurm-llnl (17.11.6-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs info with the new salsa.d.o git repo
  * Change Maintainer to HPC Team
  * Add Gennaro Oliva as Uploader
  * Bump standard version to 4.1.4 (no changes)
  * Rename the header files directory to slurm (Closes: #887924)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 22 May 2018 11:43:27 +0200

=== debian/rules ===
--- 
+++ 
@@ -68,6 +68,9 @@
 	# Remove embedded jquery.min.js
 	rm -f debian/tmp/usr/share/doc/slurm-wlm-doc/html/jquery.min.js
 
+	# Rename the header files directory to slurm
+	mv debian/tmp/usr/include/slurm-wlm debian/tmp/usr/include/slurm
+
 	# Rename binaries that are also in the slurm-wlm-emulator
 	mv debian/tmp/usr/sbin/slurmctld debian/tmp/usr/sbin/slurmctld-wlm
 	mv debian/tmp/usr/sbin/slurmd debian/tmp/usr/sbin/slurmd-wlm

## slurm-llnl 17.11.7

=== debian/changelog ===
slurm-llnl (17.11.7-1) unstable; urgency=high

  * New upstream release fixes CVE-2018-10995

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 06 Jun 2018 11:15:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: slurm-llnl
 Section: admin
 Priority: optional
-Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
-Uploaders: Rémi Palancher <remi@rezib.org>, Mehdi Dogguy <mehdi@debian.org>
+Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Uploaders: Rémi Palancher <remi@rezib.org>,
+           Mehdi Dogguy <mehdi@debian.org>,
+           Gennaro Oliva <oliva.g@na.icar.cnr.it>,
 Build-Depends:
  debhelper (>= 10),
  libmunge-dev,
@@ -24,10 +26,10 @@
  libipmimonitoring-dev,
  hdf5-helpers,
  libhdf5-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://slurm.schedmd.com
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
+Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
+Vcs-Git: https://salsa.debian.org/hpc-team/slurm-wlm.git
 
 Package: slurm-wlm
 Architecture: any

## slurm-llnl 17.11.8

=== debian/changelog ===
slurm-llnl (17.11.8-1) unstable; urgency=medium

  * New upstream release
  * Bump standard version to 4.1.5 (no changes)
  * Update html configurators
  * Update libslurm32 symbols file
  * Disable pdf and ttf compression to improve html doc usability
  * Add man2html dependency to enable html man pages in doc
  * Add libssh2 dependency to enable native X11 forwarding
  * Add libcurl dependency to build jobcomp/elasticsearch plugin
  * Add lz4 dependency to enable lz4 compression to sbcast

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 27 Jul 2018 10:06:43 +0200

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,12 @@
  librrd-dev,
  libipmimonitoring-dev,
  hdf5-helpers,
- libhdf5-dev
-Standards-Version: 4.1.4
+ libhdf5-dev,
+ man2html,
+ libssh2-1-dev,
+ libcurl4-openssl-dev,
+ liblz4-dev
+Standards-Version: 4.1.5
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
 Vcs-Git: https://salsa.debian.org/hpc-team/slurm-wlm.git

=== debian/rules ===
--- 
+++ 
@@ -126,3 +126,6 @@
 		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/*/slurm-wlm/*.a
 
 override_dh_auto_test:
+
+override_dh_compress:
+	dh_compress -X.pdf -X.ttf

## slurm-llnl 17.11.9

=== debian/changelog ===
slurm-llnl (17.11.9-1build1) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Nov 2018 18:15:01 -0600

slurm-llnl (17.11.9-1) unstable; urgency=medium

  * New upstream release
  * Bump standard version to 4.2.0
    Passing verbose options to commands in d/rules
  * Update libslurm32.symbols

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 10 Aug 2018 15:25:19 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  libssh2-1-dev,
  libcurl4-openssl-dev,
  liblz4-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.2.0
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
 Vcs-Git: https://salsa.debian.org/hpc-team/slurm-wlm.git

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	dh_auto_clean --builddirectory build-emulator
-	rm -rf $(CURDIR)/debian/tmp-emulator
+	rm -rvf $(CURDIR)/debian/tmp-emulator
 
 # We run configure with --disable-debug to avoid the default use of -O0 and
 # consequent unprotected source functions, causing lintian report
@@ -40,7 +40,7 @@
 	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/tmp/ -name '*.la'`
 	# Rename slurm(1) manpage before dh_installman run. It is not possible
 	# to rename manpages in debian/*.manpages so hardcore `mv` is done here
-	mv debian/tmp/usr/share/man/man1/slurm.1 debian/tmp/usr/share/man/man1/slurm-wlm.1
+	mv -v debian/tmp/usr/share/man/man1/slurm.1 debian/tmp/usr/share/man/man1/slurm-wlm.1
 	
 	# run make install for libpam-slurm pkg
 	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pam install DESTDIR=$(CURDIR)/debian/tmp
@@ -56,49 +56,49 @@
 	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pmi2 install DESTDIR=$(CURDIR)/debian/tmp
 
 	# Rename mpiexec to mpiexec.slurm
-	mv debian/tmp/usr/bin/mpiexec	debian/tmp/usr/bin/mpiexec.slurm
+	mv -v debian/tmp/usr/bin/mpiexec	debian/tmp/usr/bin/mpiexec.slurm
 
 	# build manpages for pbs wrappers
 	for i in debian/tmp/usr/bin/pbsnodes \
 		debian/tmp/usr/bin/mpiexec.slurm \
 		debian/tmp/usr/bin/q*; do \
-			pod2man $$i > debian/tmp/usr/share/man/man1/$$(basename $$i).1; \
+			pod2man -v $$i > debian/tmp/usr/share/man/man1/$$(basename $$i).1; \
 	done
 
 	# Remove embedded jquery.min.js
-	rm -f debian/tmp/usr/share/doc/slurm-wlm-doc/html/jquery.min.js
+	rm -fv debian/tmp/usr/share/doc/slurm-wlm-doc/html/jquery.min.js
 
 	# Rename the header files directory to slurm
-	mv debian/tmp/usr/include/slurm-wlm debian/tmp/usr/include/slurm
+	mv -v debian/tmp/usr/include/slurm-wlm debian/tmp/usr/include/slurm
 
 	# Rename binaries that are also in the slurm-wlm-emulator
-	mv debian/tmp/usr/sbin/slurmctld debian/tmp/usr/sbin/slurmctld-wlm
-	mv debian/tmp/usr/sbin/slurmd debian/tmp/usr/sbin/slurmd-wlm
-	mv debian/tmp/usr/sbin/slurmstepd debian/tmp/usr/sbin/slurmstepd-wlm
+	mv -v debian/tmp/usr/sbin/slurmctld debian/tmp/usr/sbin/slurmctld-wlm
+	mv -v debian/tmp/usr/sbin/slurmd debian/tmp/usr/sbin/slurmd-wlm
+	mv -v debian/tmp/usr/sbin/slurmstepd debian/tmp/usr/sbin/slurmstepd-wlm
 
 	dh_auto_install --builddirectory build-emulator  --destdir=$(CURDIR)/debian/tmp-emulator
 	# Rename binaries in the emulator packages
-	mv debian/tmp-emulator/usr/sbin/slurmctld debian/tmp-emulator/usr/sbin/slurmctld-wlm-emulator
-	mv debian/tmp-emulator/usr/sbin/slurmd debian/tmp-emulator/usr/sbin/slurmd-wlm-emulator
-	mv debian/tmp-emulator/usr/sbin/slurmstepd debian/tmp-emulator/usr/sbin/slurmstepd-wlm-emulator
-	mv debian/tmp-emulator/usr/bin/sshare	debian/tmp-emulator/usr/bin/sshare-emulator
-	mv debian/tmp-emulator/usr/bin/scancel 	debian/tmp-emulator/usr/bin/scancel-emulator
-	mv debian/tmp-emulator/usr/bin/sattach 	debian/tmp-emulator/usr/bin/sattach-emulator
-	mv debian/tmp-emulator/usr/bin/sbatch 	debian/tmp-emulator/usr/bin/sbatch-emulator
-	mv debian/tmp-emulator/usr/bin/sreport 	debian/tmp-emulator/usr/bin/sreport-emulator
-	mv debian/tmp-emulator/usr/bin/sbcast 	debian/tmp-emulator/usr/bin/sbcast-emulator
-	mv debian/tmp-emulator/usr/bin/srun 	debian/tmp-emulator/usr/bin/srun-emulator
-	mv debian/tmp-emulator/usr/bin/squeue 	debian/tmp-emulator/usr/bin/squeue-emulator
-	mv debian/tmp-emulator/usr/bin/sprio 	debian/tmp-emulator/usr/bin/sprio-emulator
-	mv debian/tmp-emulator/usr/bin/smap 	debian/tmp-emulator/usr/bin/smap-emulator
-	mv debian/tmp-emulator/usr/bin/sdiag 	debian/tmp-emulator/usr/bin/sdiag-emulator
-	mv debian/tmp-emulator/usr/bin/strigger debian/tmp-emulator/usr/bin/strigger-emulator
-	mv debian/tmp-emulator/usr/bin/sinfo 	debian/tmp-emulator/usr/bin/sinfo-emulator
-	mv debian/tmp-emulator/usr/bin/salloc 	debian/tmp-emulator/usr/bin/salloc-emulator
-	mv debian/tmp-emulator/usr/bin/sacct	debian/tmp-emulator/usr/bin/sacct-emulator
-	mv debian/tmp-emulator/usr/bin/sacctmgr debian/tmp-emulator/usr/bin/sacctmgr-emulator
-	mv debian/tmp-emulator/usr/bin/scontrol debian/tmp-emulator/usr/bin/scontrol-emulator
-	mv debian/tmp-emulator/usr/bin/sstat	debian/tmp-emulator/usr/bin/sstat-emulator
+	mv -v debian/tmp-emulator/usr/sbin/slurmctld debian/tmp-emulator/usr/sbin/slurmctld-wlm-emulator
+	mv -v debian/tmp-emulator/usr/sbin/slurmd debian/tmp-emulator/usr/sbin/slurmd-wlm-emulator
+	mv -v debian/tmp-emulator/usr/sbin/slurmstepd debian/tmp-emulator/usr/sbin/slurmstepd-wlm-emulator
+	mv -v debian/tmp-emulator/usr/bin/sshare	debian/tmp-emulator/usr/bin/sshare-emulator
+	mv -v debian/tmp-emulator/usr/bin/scancel 	debian/tmp-emulator/usr/bin/scancel-emulator
+	mv -v debian/tmp-emulator/usr/bin/sattach 	debian/tmp-emulator/usr/bin/sattach-emulator
+	mv -v debian/tmp-emulator/usr/bin/sbatch 	debian/tmp-emulator/usr/bin/sbatch-emulator
+	mv -v debian/tmp-emulator/usr/bin/sreport 	debian/tmp-emulator/usr/bin/sreport-emulator
+	mv -v debian/tmp-emulator/usr/bin/sbcast 	debian/tmp-emulator/usr/bin/sbcast-emulator
+	mv -v debian/tmp-emulator/usr/bin/srun 	debian/tmp-emulator/usr/bin/srun-emulator
+	mv -v debian/tmp-emulator/usr/bin/squeue 	debian/tmp-emulator/usr/bin/squeue-emulator
+	mv -v debian/tmp-emulator/usr/bin/sprio 	debian/tmp-emulator/usr/bin/sprio-emulator
+	mv -v debian/tmp-emulator/usr/bin/smap 	debian/tmp-emulator/usr/bin/smap-emulator
+	mv -v debian/tmp-emulator/usr/bin/sdiag 	debian/tmp-emulator/usr/bin/sdiag-emulator
+	mv -v debian/tmp-emulator/usr/bin/strigger debian/tmp-emulator/usr/bin/strigger-emulator
+	mv -v debian/tmp-emulator/usr/bin/sinfo 	debian/tmp-emulator/usr/bin/sinfo-emulator
+	mv -v debian/tmp-emulator/usr/bin/salloc 	debian/tmp-emulator/usr/bin/salloc-emulator
+	mv -v debian/tmp-emulator/usr/bin/sacct	debian/tmp-emulator/usr/bin/sacct-emulator
+	mv -v debian/tmp-emulator/usr/bin/sacctmgr debian/tmp-emulator/usr/bin/sacctmgr-emulator
+	mv -v debian/tmp-emulator/usr/bin/scontrol debian/tmp-emulator/usr/bin/scontrol-emulator
+	mv -v debian/tmp-emulator/usr/bin/sstat	debian/tmp-emulator/usr/bin/sstat-emulator
 
 override_dh_strip:
 	dh_strip -plibslurm32
@@ -122,7 +122,7 @@
 	dh_strip -plibslurmdb-dev --no-automatic-dbgsym
 	dh_strip -plibslurm-dev --no-automatic-dbgsym
 	dh_strip -pslurm-wlm-basic-plugins-dev --no-automatic-dbgsym
-	strip --strip-debug --remove-section=.comment \
+	strip --verbose --strip-debug --remove-section=.comment \
 		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/*/slurm-wlm/*.a
 
 override_dh_auto_test:

## slurm-llnl 18.08.2

=== debian/changelog ===
slurm-llnl (18.08.2-1) unstable; urgency=medium

  * New upstream release
  * Fix sacct test script (Closes: #910886)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 23 Oct 2018 16:40:57 +0200

slurm-llnl (18.08.1-1) unstable; urgency=medium

  * New upstream release (Closes: #909653)
  * Update libslurm{,db} symbols file to soname 33
  * Modifiy the mail patch since /usr/bin/mail is now supported upstream
  * Refresh patches and remove parts included upstream
  * Update d/copyright
  * Update html configurators
  * Fix typos in the some man pages
  * Update simple configuration files
  * Remove unused cgroup release agent script

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 08 Oct 2018 01:23:32 +0200

## slurm-llnl 18.08.3

=== alps_tests/xtprocadmin_from_inventory/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
# NAMES
TARGET = inventory_based_xtprocadmin
MAIN   = main.c
# PROGRAMS
CC    = gcc
RM    = rm -vf
SHELL = /bin/bash

# PATHS
INCDIR = ../../include
LIBDIR = ../../libalps

# FLAGS
CFLAGS = -I$(INCDIR) -Wall -Werror #-pedantic
ALPSLIB= $(LIBDIR)/libalps.a
LDLIBS = -lexpat

# RULES
.PHONY: clean check

all: check
# when apbasil is available, compare the outputs directly
check: xtprocadmin_clone.sh
ifneq ($(shell which xtprocadmin 2>/dev/null),)
	diff -sy --suppress-common-lines <(./$<) <(xtprocadmin | grep -vw service)
else
	@./$<
endif

xtprocadmin_clone.sh: $(TARGET)

$(TARGET): $(MAIN) $(ALPSLIB)
	$(CC) $(CFLAGS) $^ $(LDLIBS) -o $@

$(ALPSLIB): $(wildcard $(LIBDIR)/*.c)
	$(MAKE) -C $(dir $(ALPSLIB))

tags: $(wildcard *.c $(LIBDIR)/*.c $(INCDIR)/*.h)
	ctags $^ > $@

clean:
	@$(RM) *.o *~ ? core a.out tags *.orig *.rej
	@$(RM) $(TARGET)

distclean: clean

=== debian/changelog ===
slurm-llnl (18.08.3-1) unstable; urgency=medium

  * New upstream release
  * Update libslurm33.symbols

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 24 Oct 2018 23:51:22 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  libssh2-1-dev,
  libcurl4-openssl-dev,
  liblz4-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
 Vcs-Git: https://salsa.debian.org/hpc-team/slurm-wlm.git
@@ -106,7 +106,7 @@
  interconnect agnostic.
  This package contains the central management demon slurmctld.
 
-Package: libslurmdb32
+Package: libslurmdb33
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -116,7 +116,7 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM DataBase Daemon runtime library.
 
-Package: libslurm32
+Package: libslurm33
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -130,7 +130,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, slurm-wlm-basic-plugins (= ${binary:Version}),
 Description: SLURM PMI library implementation
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -152,7 +152,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurm32 (= ${binary:Version})
+ libslurm33 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Description: SLURM development files
@@ -166,7 +166,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurmdb32 (= ${binary:Version})
+ libslurmdb33 (= ${binary:Version})
 Description: SLURM DataBase Daemon development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -179,7 +179,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi0 (= ${binary:Version}),
- libslurm32 (= ${binary:Version})
+ libslurm33 (= ${binary:Version})
 Description: SLURM PMI library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -193,7 +193,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi2-0 (= ${binary:Version}),
- libslurm32 (= ${binary:Version})
+ libslurm33 (= ${binary:Version})
 Description: SLURM PMI2 library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.

=== debian/rules ===
--- 
+++ 
@@ -35,9 +35,6 @@
 override_dh_auto_install:
 	dh_auto_install
 	
-	# clear dependency_libs field in *.la files
-	# see lintian non-empty-dependency_libs-in-la-file for reference
-	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/tmp/ -name '*.la'`
 	# Rename slurm(1) manpage before dh_installman run. It is not possible
 	# to rename manpages in debian/*.manpages so hardcore `mv` is done here
 	mv -v debian/tmp/usr/share/man/man1/slurm.1 debian/tmp/usr/share/man/man1/slurm-wlm.1
@@ -52,8 +49,15 @@
 	# run make install for slurm-wlm-torque pkg
 	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/torque install DESTDIR=$(CURDIR)/debian/tmp
 
+	# run make install for PMI pkg
+	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pmi install DESTDIR=$(CURDIR)/debian/tmp
+
 	# run make install for PMI2 pkg
 	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pmi2 install DESTDIR=$(CURDIR)/debian/tmp
+
+	# clear dependency_libs field in *.la files
+	# see lintian non-empty-dependency_libs-in-la-file for reference
+	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/tmp/ -name '*.la'`
 
 	# Rename mpiexec to mpiexec.slurm
 	mv -v debian/tmp/usr/bin/mpiexec	debian/tmp/usr/bin/mpiexec.slurm
@@ -101,8 +105,8 @@
 	mv -v debian/tmp-emulator/usr/bin/sstat	debian/tmp-emulator/usr/bin/sstat-emulator
 
 override_dh_strip:
-	dh_strip -plibslurm32
-	dh_strip -plibslurmdb32
+	dh_strip -plibslurm33
+	dh_strip -plibslurmdb33
 	dh_strip -plibpmi0 --dbgsym-migration='libpmi0-dbg (<< 17.02.6~)'
 	dh_strip -plibpmi2-0 --dbgsym-migration='libpmi2-0-dbg (<< 17.02.6~)'
 	dh_strip -pslurm-wlm-basic-plugins --dbgsym-migration='slurm-wlm-basic-plugins-dbg (<< 17.02.6~)'

## slurm-llnl 18.08.5.2

=== debian/changelog ===
slurm-llnl (18.08.5.2-1) unstable; urgency=medium

  * New upstream release fixes CVE-2019-6438 (Closes: #920997)
  * debian/patches/man-pages-typos: removed, applied upstream
  * Add Build-Depends-Package field to symbol files
  * Handling slurm user inside the plugin package as suggested by
    Karl Kornel (Closes: #850891)
  * Allow using a slurm user with a different UID if created before
    installation (Closes: #851103)
  * Move pid files under /run (Closes: #885759)
  * Change static libs strip options for standard version 4.3.0
  * Fix a typo in the perl code
  * Remove rc4 symlink creation in slurmdbd.postinst
  * Update service files to sync with upstream
  * Update init scripts with the new pid files
  * Remove init scripts symlinks for old SlurmdSpoolDir and StateSaveLocation
  * Sync configurators with upstream
  * Bump debhelper compat level to 11
  * Remove --without-blcr configure option not needed anymore
  * Add libfreeipmi-dev build dependency to enable freeipmi support
  * Remove old d/NEWS file

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 17 Feb 2019 13:32:52 +0100

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,8 @@
 # hardening-no-fortify-functions
 # Notice that -g in CFLAGS is still provided by dpkg-buildflags
 override_dh_auto_configure:
-	dh_auto_configure -- --sysconfdir=/etc/slurm-llnl --runstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd
-	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm-llnl --runstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd
+	dh_auto_configure -- --sysconfdir=/etc/slurm-llnl --with-munge --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd
+	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm-llnl --with-munge --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd
 
 override_dh_auto_build:
 	dh_auto_build
@@ -70,7 +70,7 @@
 	done
 
 	# Remove embedded jquery.min.js
-	rm -fv debian/tmp/usr/share/doc/slurm-wlm-doc/html/jquery.min.js
+	rm -fv debian/tmp/usr/share/doc/slurm-wlm/html/jquery.min.js
 
 	# Rename the header files directory to slurm
 	mv -v debian/tmp/usr/include/slurm-wlm debian/tmp/usr/include/slurm
@@ -126,7 +126,7 @@
 	dh_strip -plibslurmdb-dev --no-automatic-dbgsym
 	dh_strip -plibslurm-dev --no-automatic-dbgsym
 	dh_strip -pslurm-wlm-basic-plugins-dev --no-automatic-dbgsym
-	strip --verbose --strip-debug --remove-section=.comment \
+	strip --verbose --strip-unneeded --remove-section=.comment \
 		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/*/slurm-wlm/*.a
 
 override_dh_auto_test:

## slurm-llnl 18.08.5.2.1+dde

=== debian/changelog ===
slurm-llnl (18.08.5.2.1+dde-1) unstable; urgency=medium

  [ liuminghang ]
  * Fix potential buffer overflows from use of unpackmem() CVE-2020-27745
  * Avoid unsafe use of magic cookie as arg to xauth command for X11
    forwarding CVE-2020-27746
  * Stop job launch if --uid fails CVE-2019-19728
  * Fix Authentication bypass with message aggregation CVE-2020-12693

  [ Debian HPC Team ]
  * update

 -- Debian HPC Team <debian-hpc@lists.debian.org>  Fri, 29 Oct 2021 15:50:21 +0800

slurm-llnl (18.08.5.2-1+deb10u1) buster-security; urgency=high

  * FIX CVE-2019-12838 by escaping strings in archive files in
    accounting_storage/mysql

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 17 Oct 2019 14:30:18 +0200

## slurm-llnl 18.08.6.2

=== debian/changelog ===
slurm-llnl (18.08.6.2-1build1) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Aug 2019 02:05:36 +0000

slurm-llnl (18.08.6.2-1) unstable; urgency=medium

  * New upstream release 18.08.6.2
  * Update libslurm{,db} symbols file
  * Refresh remove-google-javascript patch
  * Update postinst scripts to move pid file under /run when
    /run/slurm-llnl is used (Closes: #885759)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 10 Mar 2019 01:42:38 +0100

## slurm-llnl 19.05.3.2

=== debian/changelog ===
slurm-llnl (19.05.3.2-2build1) focal; urgency=medium

  * Rebuild against new lhwloc 15.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Dec 2019 12:07:16 +0100

slurm-llnl (19.05.3.2-2) unstable; urgency=medium

  * Enable deprecated configure option on 32bit archs

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 15 Oct 2019 09:31:57 +0200

slurm-llnl (19.05.3.2-1) unstable; urgency=medium

  * New upstream release fixes CVE-2019-12838 (Closes: #931880)
  * Remove libslurmdb packages as it was merged into libslurm
  * Bump standard version to 4.4.1 (no changes)
  * Update d/copyright
  * Sync configurators with upstream
  * Refresh patches
  * Increase libslurm version to 34
  * Update libslurm symbols file

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 08 Oct 2019 18:18:52 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Mehdi Dogguy <mehdi@debian.org>,
            Gennaro Oliva <oliva.g@na.icar.cnr.it>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  libmunge-dev,
  libncurses5-dev,
  libssl-dev,
@@ -25,12 +25,13 @@
  librrd-dev,
  libipmimonitoring-dev,
  hdf5-helpers,
+ libfreeipmi-dev,
  libhdf5-dev,
  man2html,
  libssh2-1-dev,
  libcurl4-openssl-dev,
  liblz4-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
 Vcs-Git: https://salsa.debian.org/hpc-team/slurm-wlm.git
@@ -57,7 +58,6 @@
  ${misc:Depends},
  slurm-wlm-basic-plugins (= ${binary:Version}),
  munge,
- adduser,
  ucf
 Conflicts: sinfo (<< 0.0.47-4)
 Description: SLURM client side commands
@@ -74,7 +74,6 @@
  ${misc:Depends},
  openssl,
  slurm-wlm-basic-plugins (= ${binary:Version}),
- adduser,
  ucf,
  munge,
  openssl (>= 0.9.8g-9),
@@ -94,7 +93,6 @@
  slurm-client (= ${binary:Version}),
  openssl,
  slurm-wlm-basic-plugins (= ${binary:Version}),
- adduser,
  ucf,
  munge,
  openssl (>= 0.9.8g-9),
@@ -106,17 +104,7 @@
  interconnect agnostic.
  This package contains the central management demon slurmctld.
 
-Package: libslurmdb33
-Section: libs
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Runtime library files for the SLURM DataBase Daemon
- SLURM, the Simple Linux Utility for Resource Management,
- is an open-source cluster resource management and job scheduling.
- This package contains the SLURM DataBase Daemon runtime library.
-
-Package: libslurm33
+Package: libslurm34
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -152,7 +140,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurm33 (= ${binary:Version})
+ libslurm34 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Description: SLURM development files
@@ -160,18 +148,6 @@
  is an open-source cluster resource management and job scheduling.
  This package contains SLURM static library and header files.
 
-Package: libslurmdb-dev
-Section: libdevel
-Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- libslurmdb33 (= ${binary:Version})
-Description: SLURM DataBase Daemon development files
- SLURM, the Simple Linux Utility for Resource Management,
- is an open-source cluster resource management and job scheduling.
- This package contains SLURM DataBase Daemon static library and header files.
-
 Package: libpmi0-dev
 Section: libdevel
 Architecture: any
@@ -179,7 +155,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi0 (= ${binary:Version}),
- libslurm33 (= ${binary:Version})
+ libslurm34 (= ${binary:Version})
 Description: SLURM PMI library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -193,7 +169,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi2-0 (= ${binary:Version}),
- libslurm33 (= ${binary:Version})
+ libslurm34 (= ${binary:Version})
 Description: SLURM PMI2 library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -216,7 +192,8 @@
 Architecture: any
 Depends:
  ${shlibs:Depends},
- ${misc:Depends}
+ ${misc:Depends},
+ adduser
 Description: SLURM basic plugins
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -253,7 +230,6 @@
  ${shlibs:Depends},
  ${misc:Depends},
  slurm-wlm-basic-plugins (= ${binary:Version}),
- adduser,
  munge,
  lsb-base (>= 3.2-12),
  ucf
@@ -319,6 +295,19 @@
  restricted to user root and users who have been allocated resources on
  that node.
 
+Package: libpam-slurm-adopt
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
+Description: PAM module to authenticate users running a SLURM job and track their processes
+ Pluggable Authentication Module (PAM) for restricting access to compute
+ nodes where SLURM performs resource management to users who have a
+ running job. The user's connection is "adopted" into the "external"
+ step of the job so that processes spawned are tracked and SLURM can
+ perform a complete cleanup when the job is completed.
+
 Package: slurm-wlm-emulator
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
